Skip to content

Client ​

38 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
globalClientStatByDevicePOSTGet global client statistics by device.
getClientHistoryDataEnableGETGet History data retention config.
getClientCorrectionListGETGet client correction options list
globalExportAllClientListPOSTExport all client list in GLOBAL view
exportClientListGlobalByCloudAccessPOSTExport global client list.
exportClientPOSTExport client list
modifyClientIpSettingPATCHSet ip setting for given client
getClientDetailStat5MinPOSTGet client statistical data details at a 5-minute interval.
getClientDetailStatDailyPOSTGet client statistical data details at a daily interval.
getClientDetailStatHourlyPOSTGet client statistical data details at a hourly interval.
getGridSsidClientsGETGet clients list of ssid.
getGridActiveClientsGETGet client list
deleteClientDELETEDelete client
getClientDetailGETGet client info
blockClientPOSTBlock the client
getClientJourneyGETGet client connection histories
getGridClientHistoryGETGet Client history.
getClientTopologyPOSTGet client link topology
getClientTimelineGETGet client timeline events
disconnectClientPOSTDisconnect the client
updateClientLockToApSettingPOSTLock the given client to aps
updateClientNamePATCHSet name for given client
updateClientRateLimitSettingPATCHSet ratelimit setting for given client
rebootClientPOSTReboot the client
reconnectClientPOSTReconnect the client
unblockClientPOSTUnblock the client
batchModifyClientSettingPOSTBatch config clients
deleteClientsPOSTBatch delete clients
getClientIncidentCountsPOSTGet site client incident counts
getClientFilteringOptionsGETGet client list filtering options
getVigiDetailStat5MinPOSTGet VIGI device statistical data details at a 5-minute interval.
getVigiDetailStatDailyPOSTGet VIGI device statistical data details at a daily interval.
getVigiDetailStatHourlyPOSTGet VIGI device statistical data details at a hourly interval.
getVigiJourneyGETGet VIGI device connection histories
getVigiTopologyPOSTGet VIGI device link topology
getVigiTimelineGETGet VIGI device timeline events
mspClientStatByDevicePOSTGet msp client statistics by device.
getGridAllClientsPOSTGet all client list

globalClientStatByDevice ​

POST /openapi/v1/{omadacId}/clients/stat/devices

Get global client statistics by device.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema GlobalDevicesQueryOpenApiVO

FieldTypeRequiredDescription
devicesarray<Global Device Item>yesDevices to query
json
// omada_call_operation
{
  "operationId": "globalClientStatByDevice",
  "body": "{...}"
}
Details, permissions and error codes

Get global client statistics by device.
The interface requires one of the permissions:
Site Device Manager View Only

getClientHistoryDataEnable ​

GET /openapi/v1/{omadacId}/controller/client/history-enable

Get History data retention config.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getClientHistoryDataEnable"
}
Details, permissions and error codes

Get history data retention config.
The interface requires one of the permissions:
Global Other Setting View Only

getClientCorrectionList ​

GET /openapi/v1/{omadacId}/correction-list

Get client correction options list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getClientCorrectionList"
}
Details, permissions and error codes

Get client correction options list
The interface requires one of the permissions:
Site Clients Manager View Only

globalExportAllClientList ​

POST /openapi/v1/{omadacId}/files/all-client-list

Export all client list in GLOBAL view

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema MultiSiteClientExportOpenApiVO

FieldTypeRequiredDescription
formatintegeryesFormat should be a value as follows: 0: csv; 1: xlsx.
clientsDisplayarray<string>noThe information of client list for export.
clientsDisplayOverrideobjectnoOverride the export columns for given siteIds.
modeintegeryesExport columns mode. 0:All Columns 1: CurrentDisplayColumns.
selectTypestringyesSelect type of the sites of clients to export. include: include selected sites, exclude: all but exclude selected sites, all: include all sites.
siteIdsarray<string>yesList of site id to export. SiteIds should contains at least 1 element when [selectType] is "include".
json
// omada_call_operation
{
  "operationId": "globalExportAllClientList",
  "body": "{...}"
}
Details, permissions and error codes

Export all client list in GLOBAL view, .
The interface requires one of the permissions:
Global Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30333 - XLSX Export Limit Exceeded. The number of items to be exported to XLSX exceeds 1 million. Please export data via separate modules or in CSV format.

exportClientListGlobalByCloudAccess ​

POST /openapi/v1/{omadacId}/files/client-list

Export global client list.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema ExportClientListOpenApiVO

FieldTypeRequiredDescription
siteIdsarray<string>yesIDs of the site of the data to be exported.
modeintegeryesExport columns mode. 0:All Columns 1: CurrentDisplayColumns.
clientsDisplayarray<string>noThe information of client list for export.
formatintegeryesFormat of file exported.0: CSV 1: XLSX
queryDataVOOpenApiQueryDataVOno(OpenApiQueryDataVO not expanded; call omada_get_schema "OpenApiQueryDataVO")
json
// omada_call_operation
{
  "operationId": "exportClientListGlobalByCloudAccess",
  "body": "{...}"
}
Details, permissions and error codes

Export global client list.
The interface requires one of the permissions:
Global Export Data Access

exportClient ​

POST /openapi/v1/{omadacId}/files/sites/{siteId}/clients/export

Export client list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClientExportOpenApiVO

FieldTypeRequiredDescription
formatintegeryesFormat should be a value as follows: 0: csv; 1: xlsx.
tablesarray<integer>yesTables should be a list of follows: 0: online; 1: offline; 2: blocked; 3: past-connection, 4: past-portal-auth.
json
// omada_call_operation
{
  "operationId": "exportClient",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Export client list.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30333 - XLSX Export Limit Exceeded. The number of items to be exported to XLSX exceeds 1 million. Please export data via separate modules or in CSV format.

modifyClientIpSetting ​

PATCH /openapi/v1/{omadacId}/network/sites/{siteId}/cmd/clients/{clientMac}/update-ipSetting

Set ip setting for given client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema OpenApi Client Ip Setting

FieldTypeRequiredDescription
useFixedAddrbooleanyesWhether to use the specified IP
netIdstringnoLan network ID
ipstringnoClient IP
serverTypestringnoDHCP Server Type
serverMacstringnoDHCP Server Mac
serverStackIdstringnoDHCP Server Stack ID
json
// omada_call_operation
{
  "operationId": "modifyClientIpSetting",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set ip setting for given client.
The interface requires one of the permissions:
Site Clients Manager Modify

getClientDetailStat5Min ​

POST /openapi/v1/{omadacId}/sites/{siteId}/client-stat-detail/{clientMac}/5Min

Get client statistical data details at a 5-minute interval.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Stat Query

FieldTypeRequiredDescription
startSecintegeryesStart timestamp, unit: second.
endSecintegeryesEnd timestamp, unit: second.
json
// omada_call_operation
{
  "operationId": "getClientDetailStat5Min",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get client statistical data details at a 5-minute interval.
The interface requires one of the permissions:
Site Clients Manager View Only

getClientDetailStatDaily ​

POST /openapi/v1/{omadacId}/sites/{siteId}/client-stat-detail/{clientMac}/daily

Get client statistical data details at a daily interval.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Stat Query

FieldTypeRequiredDescription
startSecintegeryesStart timestamp, unit: second.
endSecintegeryesEnd timestamp, unit: second.
json
// omada_call_operation
{
  "operationId": "getClientDetailStatDaily",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get client statistical data details at a daily interval.
The interface requires one of the permissions:
Site Clients Manager View Only

getClientDetailStatHourly ​

POST /openapi/v1/{omadacId}/sites/{siteId}/client-stat-detail/{clientMac}/hourly

Get client statistical data details at a hourly interval.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Stat Query

FieldTypeRequiredDescription
startSecintegeryesStart timestamp, unit: second.
endSecintegeryesEnd timestamp, unit: second.
json
// omada_call_operation
{
  "operationId": "getClientDetailStatHourly",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get client statistical data details at a hourly interval.
The interface requires one of the permissions:
Site Clients Manager View Only

getGridSsidClients ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clientList/{ssidId}

Get clients list of ssid.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
ssidIdpathstringyes
queryDataVOqueryOpenApiQueryDataV2VOnoObject: its fields (page, pageSize, sorts, searchKey, filters, searchField) are sent as separate query parameters.
json
// omada_call_operation
{
  "operationId": "getGridSsidClients",
  "params": {
    "siteId": "<siteId>",
    "ssidId": "<ssidId>"
  }
}
Details, permissions and error codes

Get clients list of ssid.
The interface requires one of the permissions:
Network Config Page View Only

getGridActiveClients ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients

Get client list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.wirelessquerystringnoFilter query parameters, support field wireless: true/false.
filters.radioIdquerystringnoFilter query parameters, support field radioId: 0: 2G, 1: 5G1, 2: 5G2, 3: 6G
filters.apMacquerystringnoFilter query parameters, support field ap mac
filters.switchMacquerystringnoFilter query parameters, support field switch mac
filters.gatewayMacquerystringnoFilter query parameters, support field gateway mac
searchKeyquerystringnoFuzzy query parameters, support field clientName,clientMac,ip,channel,ssid,apName,apMac,switchMac,switchName,gatewayMac,gatewayName.
json
// omada_call_operation
{
  "operationId": "getGridActiveClients",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get all clients.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only

deleteClient ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}

Delete client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "deleteClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Delete client.
The interface requires one of the permissions:
Site Device Manager View Only
Site Clients Manager Modify

getClientDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}

Get client info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "getClientDetail",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Get client info.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only

blockClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/block

Block the client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "blockClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Block the client.
The interface requires one of the permissions:
Site Clients Manager Modify
Site Insight Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41002 - This client does not exist.
-41003 - The number of clients to be blocked has reached the limit.
-41023 - Clients locked to wireless device cannot be blocked.
-41024 - This device is installed with the controller and cannot be blocked.
-41026 - The Agile Series Switch cannot block clients.

getClientJourney ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-connection

Get client connection histories

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
startqueryintegeryesStart timestamp, unit: ms
endqueryintegeryesEnd timestamp, unit: ms
json
// omada_call_operation
{
  "operationId": "getClientJourney",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get client connection histories.
The interface requires one of the permissions:
Site Clients Manager View Only

getGridClientHistory ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-history

** Get Client history.**

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.namequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.macquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ipquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.authTypequerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.ssidOrNetworkquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.downloadquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.uploadquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.statusquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.startquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.endquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.durationquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
searchKeyquerystringnoFuzzy query parameters, support field client_mac,client_name,voucher.code,local_user.user_name,form_name,auth_admin,ssid_name,network_name
json
// omada_call_operation
{
  "operationId": "getGridClientHistory",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Get Client history.
The interface requires one of the permissions:
Site Clients Manager View Only

getClientTopology ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-link-topology

Get client link topology

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "getClientTopology",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Get client link topology.
The interface requires one of the permissions:
Site Clients Manager View Only

getClientTimeline ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/client-timeline

Get client timeline events

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
startqueryintegeryesStart timestamp, unit: ms
endqueryintegeryesEnd timestamp, unit: ms
typequeryintegeryesQuery type, 0: Connection Timeline; 1: Association; 2: Roaming; 3: Disconnection.
json
// omada_call_operation
{
  "operationId": "getClientTimeline",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>",
    "start": "<start>",
    "end": "<end>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get client timeline events.
The interface requires one of the permissions:
Site Clients Manager View Only

disconnectClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/disconnect

Disconnect the client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "disconnectClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Disconnect the client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
-41027 - Unable to disconnect wired client.

updateClientLockToApSetting ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/lock-to-ap

Lock the given client to aps

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Lock To AP Setting

FieldTypeRequiredDescription
enablebooleanyesLock to AP enable
apsarray<string>noAP MAC list. Use capital letters and separator, for example: AA-AA-AA-AA-AA-AA.
json
// omada_call_operation
{
  "operationId": "updateClientLockToApSetting",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Lock the given client to aps.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
-41020 - Only wireless clients support Lock to wireless device.
-41021 - The number of Lock to wireless device entries has reached the upper limit.
-41022 - Blocked clients cannot be locked to wireless device.

updateClientName ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/name

Set name for given client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Name Setting

FieldTypeRequiredDescription
namestringyesClient Name should contain 1 to 128 characters
json
// omada_call_operation
{
  "operationId": "updateClientName",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set name for given client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.

updateClientRateLimitSetting ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/ratelimit

Set ratelimit setting for given client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Rate Limit Setting

FieldTypeRequiredDescription
modeintegeryesRate limit mode should be a value as follows: <br/>0: Custom mode. Apply the given rate limit value to the client; <br/>1: Rate limit profile mode. Find the corresponding rate limit file with rate limit ID and apply it to the client.
rateLimitProfileIdstringnoRate limit profile ID. Required when ratelimit mode is 1
customRateLimitCustom rate limit entityno(Custom rate limit entity not expanded; call omada_get_schema "Custom rate limit entity")
json
// omada_call_operation
{
  "operationId": "updateClientRateLimitSetting",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set ratelimit setting for given client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33732 - The Rate Limit profile does not exist.
-41008 - The number of clients to be configured with Rate Limit has reached the limit.
-41011 - This client does not exist.

rebootClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/reboot

Reboot the client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC

Request body — application/json (required) — schema Client Reboot

FieldTypeRequiredDescription
deviceIdstringnoDeviceId of device adopted in VMS.Used when rebooting adopted VIGI devices in device list
json
// omada_call_operation
{
  "operationId": "rebootClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reboot the client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-41031 - Unable to reboot.

reconnectClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/reconnect

Reconnect the client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "reconnectClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Reconnect the client.
The interface requires one of the permissions:
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.
-41025 - Unable to reconnect wired client.

unblockClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/unblock

Unblock the client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC
json
// omada_call_operation
{
  "operationId": "unblockClient",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>"
  }
}
Details, permissions and error codes

Unblock the client.
The interface requires one of the permissions:
Site Clients Manager Modify
Site Insight Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41004 - This client does not exist.

batchModifyClientSetting ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/config

Batch config clients

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Client Batch Setting

FieldTypeRequiredDescription
macListarray<string>noList of clients' mac.
ipSettingClient Batch IP Settingno(Client Batch IP Setting not expanded; call omada_get_schema "Client Batch IP Setting")
rateLimitClient Rate Limit Settingno(Client Rate Limit Setting not expanded; call omada_get_schema "Client Rate Limit Setting")
lockToApClient Lock To AP Settingno(Client Lock To AP Setting not expanded; call omada_get_schema "Client Lock To AP Setting")
json
// omada_call_operation
{
  "operationId": "batchModifyClientSetting",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch config clients.
The interface requires one of the permissions:
Site Device Manager View Only
Site Clients Manager Modify

deleteClients ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/delete

Batch delete clients

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema Client Delete Filter

FieldTypeRequiredDescription
startintegernoStart timestamp, in seconds, such as 1682000000.
endintegernoEnd timestamp, in seconds, such as 1682000000.
wirelessbooleannoWireless, filter by wireless field if provided.
guestbooleannoGuest, filter by guest field if provided.
rateLimitbooleannoRateLimit, filter by rateLimit field if provided.
blockbooleannoBlock, filter by block field if provided.
connectSuccessbooleannoConnect success, filter by connectSuccess field if provided.
searchKeystringnoSearching for clients to delete, Searching by client mac, client name.
json
// omada_call_operation
{
  "operationId": "deleteClients",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch delete clients.
The interface requires one of the permissions:
Site Device Manager View Only
Site Clients Manager Modify

getClientIncidentCounts ​

POST /openapi/v1/{omadacId}/sites/{siteId}/clients/incidents

Get site client incident counts

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClientIncidentCountRequestOpenApiVO

FieldTypeRequiredDescription
clientListarray<string>yesClient MAC addresses for which incident counts are requested.
json
// omada_call_operation
{
  "operationId": "getClientIncidentCounts",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get incident counts for the specified clients in a site.
The interface requires one of the permissions:
Site Clients Manager View Only
Incidents Page View Only

getClientFilteringOptions ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/search-fields-options

Get client list filtering options

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getClientFilteringOptions",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get client list filtering options.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only

getVigiDetailStat5Min ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vigi-stat-detail/{vigiMac}/5Min

Get VIGI device statistical data details at a 5-minute interval.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vigiMacpathstringyesVIGI device MAC

Request body — application/json (required) — schema Client Stat Query

FieldTypeRequiredDescription
startSecintegeryesStart timestamp, unit: second.
endSecintegeryesEnd timestamp, unit: second.
json
// omada_call_operation
{
  "operationId": "getVigiDetailStat5Min",
  "params": {
    "siteId": "<siteId>",
    "vigiMac": "<vigiMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get VIGI device statistical data details at a 5-minute interval.
The interface requires one of the permissions:
Site Device Manager View Only

getVigiDetailStatDaily ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vigi-stat-detail/{vigiMac}/daily

Get VIGI device statistical data details at a daily interval.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vigiMacpathstringyesVIGI device MAC

Request body — application/json (required) — schema Client Stat Query

FieldTypeRequiredDescription
startSecintegeryesStart timestamp, unit: second.
endSecintegeryesEnd timestamp, unit: second.
json
// omada_call_operation
{
  "operationId": "getVigiDetailStatDaily",
  "params": {
    "siteId": "<siteId>",
    "vigiMac": "<vigiMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get VIGI device statistical data details at a daily interval.
The interface requires one of the permissions:
Site Device Manager View Only

getVigiDetailStatHourly ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vigi-stat-detail/{vigiMac}/hourly

Get VIGI device statistical data details at a hourly interval.

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vigiMacpathstringyesVIGI device MAC

Request body — application/json (required) — schema Client Stat Query

FieldTypeRequiredDescription
startSecintegeryesStart timestamp, unit: second.
endSecintegeryesEnd timestamp, unit: second.
json
// omada_call_operation
{
  "operationId": "getVigiDetailStatHourly",
  "params": {
    "siteId": "<siteId>",
    "vigiMac": "<vigiMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get VIGI device statistical data details at a hourly interval.
The interface requires one of the permissions:
Site Device Manager View Only

getVigiJourney ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vigis/{vigiMac}/vigi-connection

Get VIGI device connection histories

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vigiMacpathstringyesVIGI device MAC
startqueryintegeryesStart timestamp, unit: ms
endqueryintegeryesEnd timestamp, unit: ms
json
// omada_call_operation
{
  "operationId": "getVigiJourney",
  "params": {
    "siteId": "<siteId>",
    "vigiMac": "<vigiMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get VIGI device connection histories.
The interface requires one of the permissions:
Site Device Manager View Only

getVigiTopology ​

POST /openapi/v1/{omadacId}/sites/{siteId}/vigis/{vigiMac}/vigi-link-topology

Get VIGI device link topology

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vigiMacpathstringyesVIGI device MAC
json
// omada_call_operation
{
  "operationId": "getVigiTopology",
  "params": {
    "siteId": "<siteId>",
    "vigiMac": "<vigiMac>"
  }
}
Details, permissions and error codes

Get VIGI device link topology.
The interface requires one of the permissions:
Site Device Manager View Only

getVigiTimeline ​

GET /openapi/v1/{omadacId}/sites/{siteId}/vigis/{vigiMac}/vigi-timeline

Get VIGI device timeline events

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vigiMacpathstringyesVIGI device MAC
startqueryintegeryesStart timestamp, unit: ms
endqueryintegeryesEnd timestamp, unit: ms
typequeryintegeryesQuery type, 0: Connection Timeline; 1: Association; 2: Roaming; 3: Disconnection.
json
// omada_call_operation
{
  "operationId": "getVigiTimeline",
  "params": {
    "siteId": "<siteId>",
    "vigiMac": "<vigiMac>",
    "start": "<start>",
    "end": "<end>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get VIGI device timeline events.
The interface requires one of the permissions:
Site Device Manager View Only

mspClientStatByDevice ​

POST /openapi/v1/msp/{mspId}/clients/stat/devices

Get msp client statistics by device.

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)

Request body — application/json (required) — schema MspDevicesQueryOpenApiVO

FieldTypeRequiredDescription
devicesarray<Msp Device Item>yesDevices to query
json
// omada_call_operation
{
  "operationId": "mspClientStatByDevice",
  "body": "{...}"
}
Details, permissions and error codes

Get Msp level client statistics by device.
The interface requires one of the permissions:
MSP Device Manager View Only

getGridAllClients ​

POST /openapi/v2/{omadacId}/sites/{siteId}/clients

Get all client list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema ClientQueryDataOpenApiVO

FieldTypeRequiredDescription
pageintegeryesStart from 1.
pageSizeintegeryesIt should be within the range of 1–1000.
sortsobjectnoSort rule, key: sort field, value: sort direction, value parameter may be one of asc or desc.Optional parameter.
searchKeystringnoFuzzy query parameters, support field name, mac, ip.
filtersClientQueryFiltersOpenApiVOno(ClientQueryFiltersOpenApiVO not expanded; call omada_get_schema "ClientQueryFiltersOpenApiVO")
scopeintegernoScope of clients to query, 0: all, 1: online(default), 2:offline, 3:blocked.
json
// omada_call_operation
{
  "operationId": "getGridAllClients",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get all clients, including online offline blocked and all list.
The interface requires one of the permissions:
Site Clients Manager View Only
Site Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.